Creates a refund against an already processed payment. In case of some processors, you can even opt to refund only a partial amount multiple times until the original charge amount has been refunded
Use the API key created under your merchant account from the HyperSwitch dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.
Merchant ID of the connected merchant on whose behalf the operation is performed. Required when authenticating with a platform merchant's API key. Standard and connected merchants must not send it.
Unique Identifier for the Refund. This is to ensure idempotency for multiple partial refunds initiated against the same payment. If this is not passed by the merchant, this field shall be auto generated and provided in the API response. It is recommended to generate uuid(v4) as the refund_id.
Total amount for which the refund is to be initiated. Amount for the payment in lowest denomination of the currency. (i.e) in cents for USD denomination, in paisa for INR denomination etc., If not provided, this will default to the full payment amount
Reason for the refund. Often useful for displaying to users and your customer support executive. In case the payment went through Stripe, this field needs to be passed with one of these enums: duplicate, fraudulent, or requested_by_customer
You can specify up to 50 keys, with key names up to 40 characters long and values up to 500 characters long. Metadata is useful for storing additional, structured information on an object.
The refund amount, which should be less than or equal to the total payment amount. Amount for the payment in lowest denomination of the currency. (i.e) in cents for USD denomination, in paisa for INR denomination etc
You can specify up to 50 keys, with key names up to 40 characters long and values up to 500 characters long. Metadata is useful for storing additional, structured information on an object
A unique identifier for a payment provided by the connector
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Hyperswitch","colors":{"primary":"#4F8EFF","light":"#6BA3FF","dark":"#2563EB"},"logo":{"light":"/logo/light.svg","dark":"/logo/dark.svg"},"favicon":"/favicon.png","api":{"openapi":["v1/openapi_spec_v1.json","v2/openapi_spec_v2.json","rust_locker_open_api_spec.yml","decision_engine_openapi-specs.json"]},"background":{"color":{"light":"#FAFBFC","dark":"#1d1d1d"}},"navbar":{"links":[{"href":"https://inviter.co/hyperswitch-slack","label":"Contact Us"},{"href":"https://deepwiki.com/juspay/hyperswitch","label":"Explore with Deepwiki"}],"primary":{"type":"button","label":"Self-Deploy","href":"https://docs.hyperswitch.io/hyperswitch-open-source/overview"}},"footer":{"socials":{"github":"https://github.com/juspay/hyperswitch","linkedin":"https://www.linkedin.com/company/hyperswitch"}},"integrations":{"gtm":{"tagId":"GTM-PLBNKQFQ"},"mixpanel":{"projectToken":"b00355f29d9548d1333608df71d5d53d"}},"contextual":{"options":["copy","claude","chatgpt","view"],"display":"header"},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"hasAudioNarration":false,"customDomains":[],"gitSource":{"type":"github","owner":"local","repo":"local","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":"local","isBase":true},"buildId":"local","clientVersion":"0.0.4064"},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false,"isLoggedInCli":false},"customCss":[],"page":{"pagePath":"v1/refunds/refunds--create","slug":"/v1/refunds/refunds--create","pageMetadata":{"openapi":"post /refunds","description":"Creates a refund against an already processed payment. In case of some processors, you can even opt to refund only a partial amount multiple times until the original charge amount has been refunded","href":"/v1/refunds/refunds--create","title":"Refunds - Create"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Creates a refund against an already processed payment. In case of some processors, you can even opt to refund only a partial amount multiple times until the original charge amount has been refunded\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"post /refunds","description":"Creates a refund against an already processed payment. In case of some processors, you can even opt to refund only a partial amount multiple times until the original charge amount has been refunded","href":"/v1/refunds/refunds--create","title":"Refunds - Create"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Refunds"],"summary":"Refunds - Create","description":"Creates a refund against an already processed payment. In case of some processors, you can even opt to refund only a partial amount multiple times until the original charge amount has been refunded","operationId":"Create a Refund","parameters":["3650ae30-f027-450a-9dee-623c65ad203e"],"requestBody":"6ea5a9bd-3aa3-47cc-983a-9a2af3d2e1df","responses":{"200":"219aabfd-1fce-4c58-ab3e-45e267f513ab","400":"daf1cf9f-aac0-4b3c-9a85-8f550c33b07f"},"security":["b35114da-dc2f-4348-b0b0-bd8fded508c8"],"method":"post","type":"path","servers":["f61470cd-dcf1-4ff9-8d18-5ea2fd311348"],"path":"/refunds","baseUrlOptions":["https://sandbox.hyperswitch.io"],"title":"Refunds - Create","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"3650ae30-f027-450a-9dee-623c65ad203e":{"name":"X-Connected-Merchant-Id","in":"header","description":"Merchant ID of the connected merchant on whose behalf the operation is performed. Required when authenticating with a platform merchant's API key. Standard and connected merchants must not send it.","required":false,"schema":{"oneOf":[{"type":"string","description":"Merchant ID of the connected merchant on whose behalf the operation is performed. Required when authenticating with a platform merchant's API key. Standard and connected merchants must not send it.","uniqueKey":"oneOf.0","typeLabel":"string"},{"type":"null","description":"Merchant ID of the connected merchant on whose behalf the operation is performed. Required when authenticating with a platform merchant's API key. Standard and connected merchants must not send it.","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string | null"},"example":"merchant_abc"}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","required":["payment_id"],"properties":{"payment_id":{"type":"string","description":"The payment id against which refund is to be initiated","example":"pay_mbabizu24mvu3mela5njyhpit4","maxLength":30,"minLength":30,"isRequired":true,"uniqueKey":"payment_id","typeLabel":"string"},"refund_id":{"oneOf":[{"type":"string","description":"Unique Identifier for the Refund. This is to ensure idempotency for multiple partial refunds initiated against the same payment. If this is not passed by the merchant, this field shall be auto generated and provided in the API response. It is recommended to generate uuid(v4) as the refund_id.","example":"ref_mbabizu24mvu3mela5njyhpit4","maxLength":30,"minLength":30,"uniqueKey":"refund_id.oneOf.0","typeLabel":"string"},{"type":"null","description":"Unique Identifier for the Refund. This is to ensure idempotency for multiple partial refunds initiated against the same payment. If this is not passed by the merchant, this field shall be auto generated and provided in the API response. It is recommended to generate uuid(v4) as the refund_id.","example":"ref_mbabizu24mvu3mela5njyhpit4","maxLength":30,"minLength":30,"uniqueKey":"refund_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"refund_id","typeLabel":"string | null"},"merchant_id":{"oneOf":[{"type":"string","description":"The identifier for the Merchant Account","example":"y3oqhf46pyzuxjbcn2giaqnb44","maxLength":255,"uniqueKey":"merchant_id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The identifier for the Merchant Account","example":"y3oqhf46pyzuxjbcn2giaqnb44","maxLength":255,"uniqueKey":"merchant_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"merchant_id","typeLabel":"string | null"},"amount":{"oneOf":[{"type":"integer","format":"int64","description":"Total amount for which the refund is to be initiated. Amount for the payment in lowest denomination of the currency. (i.e) in cents for USD denomination, in paisa for INR denomination etc., If not provided, this will default to the full payment amount","example":6540,"minimum":100,"uniqueKey":"amount.oneOf.0","typeLabel":"integer\u003cint64>"},{"type":"null","format":"int64","description":"Total amount for which the refund is to be initiated. Amount for the payment in lowest denomination of the currency. (i.e) in cents for USD denomination, in paisa for INR denomination etc., If not provided, this will default to the full payment amount","example":6540,"minimum":100,"uniqueKey":"amount.oneOf.1","typeLabel":"null"}],"uniqueKey":"amount","typeLabel":"integer\u003cint64> | null"},"reason":{"oneOf":[{"type":"string","description":"Reason for the refund. Often useful for displaying to users and your customer support executive. In case the payment went through Stripe, this field needs to be passed with one of these enums: `duplicate`, `fraudulent`, or `requested_by_customer`","example":"Customer returned the product","maxLength":255,"uniqueKey":"reason.oneOf.0","typeLabel":"string"},{"type":"null","description":"Reason for the refund. Often useful for displaying to users and your customer support executive. In case the payment went through Stripe, this field needs to be passed with one of these enums: `duplicate`, `fraudulent`, or `requested_by_customer`","example":"Customer returned the product","maxLength":255,"uniqueKey":"reason.oneOf.1","typeLabel":"null"}],"uniqueKey":"reason","typeLabel":"string | null"},"refund_type":{"oneOf":[{"type":"string","description":"To indicate whether to refund needs to be instant or scheduled","default":"Instant","enum":["scheduled","instant"],"uniqueKey":"refund_type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"refund_type.oneOf.1","typeLabel":"null"}],"uniqueKey":"refund_type","typeLabel":"enum\u003cstring> | null"},"metadata":{"oneOf":[{"type":"object","description":"You can specify up to 50 keys, with key names up to 40 characters long and values up to 500 characters long. Metadata is useful for storing additional, structured information on an object.","uniqueKey":"metadata.oneOf.0","typeLabel":"object"},{"type":"null","description":"You can specify up to 50 keys, with key names up to 40 characters long and values up to 500 characters long. Metadata is useful for storing additional, structured information on an object.","uniqueKey":"metadata.oneOf.1","typeLabel":"null"}],"uniqueKey":"metadata","typeLabel":"object | null"},"merchant_connector_details":{"oneOf":[{"type":"object","description":"Merchant connector details used to make payments.","required":["creds_identifier"],"properties":{"creds_identifier":{"type":"string","description":"Creds Identifier is to uniquely identify the credentials. Do not send any sensitive info, like encoded_data in this field. And do not send the string \"null\".","isRequired":true,"uniqueKey":"merchant_connector_details.oneOf.0.creds_identifier","typeLabel":"string"},"encoded_data":{"oneOf":[{"type":"object","properties":{"connector_account_details":{"oneOf":[{"type":"object","description":"Account details of the Connector. You can specify up to 50 keys, with key names up to 40 characters long and values up to 500 characters long. Useful for storing additional, structured information on an object.","uniqueKey":"merchant_connector_details.oneOf.0.encoded_data.oneOf.0.connector_account_details.oneOf.0","typeLabel":"object"},{"type":"null","description":"Account details of the Connector. You can specify up to 50 keys, with key names up to 40 characters long and values up to 500 characters long. Useful for storing additional, structured information on an object.","uniqueKey":"merchant_connector_details.oneOf.0.encoded_data.oneOf.0.connector_account_details.oneOf.1","typeLabel":"null"}],"uniqueKey":"merchant_connector_details.oneOf.0.encoded_data.oneOf.0.connector_account_details","typeLabel":"object | null"},"metadata":{"oneOf":[{"type":"object","description":"Metadata is useful for storing additional, unstructured information on an object.","uniqueKey":"merchant_connector_details.oneOf.0.encoded_data.oneOf.0.metadata.oneOf.0","typeLabel":"object"},{"type":"null","description":"Metadata is useful for storing additional, unstructured information on an object.","uniqueKey":"merchant_connector_details.oneOf.0.encoded_data.oneOf.0.metadata.oneOf.1","typeLabel":"null"}],"uniqueKey":"merchant_connector_details.oneOf.0.encoded_data.oneOf.0.metadata","typeLabel":"object | null"}},"uniqueKey":"merchant_connector_details.oneOf.0.encoded_data.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"merchant_connector_details.oneOf.0.encoded_data.oneOf.1","typeLabel":"null"}],"uniqueKey":"merchant_connector_details.oneOf.0.encoded_data","typeLabel":"object | null"}},"uniqueKey":"merchant_connector_details.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"merchant_connector_details.oneOf.1","typeLabel":"null"}],"uniqueKey":"merchant_connector_details","typeLabel":"object | null"},"split_refunds":{"oneOf":[{"type":"object","description":"Charge specific fields for controlling the revert of funds from either platform or connected account. Check sub-fields for more details.","required":["stripe_split_refund"],"properties":{"stripe_split_refund":{"type":"object","description":"Charge specific fields for controlling the revert of funds from either platform or connected account for Stripe. Check sub-fields for more details.","properties":{"revert_platform_fee":{"oneOf":[{"type":"boolean","description":"Toggle for reverting the application fee that was collected for the payment.\nIf set to false, the funds are pulled from the destination account.","uniqueKey":"split_refunds.oneOf.0.stripe_split_refund.revert_platform_fee.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Toggle for reverting the application fee that was collected for the payment.\nIf set to false, the funds are pulled from the destination account.","uniqueKey":"split_refunds.oneOf.0.stripe_split_refund.revert_platform_fee.oneOf.1","typeLabel":"null"}],"uniqueKey":"split_refunds.oneOf.0.stripe_split_refund.revert_platform_fee","typeLabel":"boolean | null"},"revert_transfer":{"oneOf":[{"type":"boolean","description":"Toggle for reverting the transfer that was made during the charge.\nIf set to false, the funds are pulled from the main platform's account.","uniqueKey":"split_refunds.oneOf.0.stripe_split_refund.revert_transfer.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Toggle for reverting the transfer that was made during the charge.\nIf set to false, the funds are pulled from the main platform's account.","uniqueKey":"split_refunds.oneOf.0.stripe_split_refund.revert_transfer.oneOf.1","typeLabel":"null"}],"uniqueKey":"split_refunds.oneOf.0.stripe_split_refund.revert_transfer","typeLabel":"boolean | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"split_refunds.oneOf.0.stripe_split_refund","typeLabel":"object"}},"uniqueKey":"split_refunds.oneOf.0","typeLabel":"object"},{"type":"object","description":"Charge specific fields for controlling the revert of funds from either platform or connected account. Check sub-fields for more details.","required":["adyen_split_refund"],"properties":{"adyen_split_refund":{"type":"object","description":"Fee information for Split Payments to be charged on the payment being collected for Adyen","required":["split_items"],"properties":{"split_items":{"type":"array","items":{"type":"object","description":"Data for the split items","required":["amount","split_type","reference"],"properties":{"amount":{"type":"integer","format":"int64","description":"The amount of the split item","example":6540,"isRequired":true,"uniqueKey":"split_refunds.oneOf.1.adyen_split_refund.split_items.items.[INDEX].amount","typeLabel":"integer\u003cint64>"},"split_type":{"type":"string","enum":["BalanceAccount","AcquiringFees","PaymentFee","AdyenFees","AdyenCommission","AdyenMarkup","Interchange","SchemeFee","Commission","TopUp","Vat"],"isRequired":true,"uniqueKey":"split_refunds.oneOf.1.adyen_split_refund.split_items.items.[INDEX].split_type","typeLabel":"enum\u003cstring>"},"reference":{"type":"string","description":"Unique Identifier for the split item","isRequired":true,"uniqueKey":"split_refunds.oneOf.1.adyen_split_refund.split_items.items.[INDEX].reference","typeLabel":"string"},"account":{"oneOf":[{"type":"string","description":"The unique identifier of the account to which the split amount is allocated.","uniqueKey":"split_refunds.oneOf.1.adyen_split_refund.split_items.items.[INDEX].account.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier of the account to which the split amount is allocated.","uniqueKey":"split_refunds.oneOf.1.adyen_split_refund.split_items.items.[INDEX].account.oneOf.1","typeLabel":"null"}],"uniqueKey":"split_refunds.oneOf.1.adyen_split_refund.split_items.items.[INDEX].account","typeLabel":"string | null"},"description":{"oneOf":[{"type":"string","description":"Description for the part of the payment that will be allocated to the specified account.","uniqueKey":"split_refunds.oneOf.1.adyen_split_refund.split_items.items.[INDEX].description.oneOf.0","typeLabel":"string"},{"type":"null","description":"Description for the part of the payment that will be allocated to the specified account.","uniqueKey":"split_refunds.oneOf.1.adyen_split_refund.split_items.items.[INDEX].description.oneOf.1","typeLabel":"null"}],"uniqueKey":"split_refunds.oneOf.1.adyen_split_refund.split_items.items.[INDEX].description","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"split_refunds.oneOf.1.adyen_split_refund.split_items.items.[INDEX]","typeLabel":"object"},"description":"Data for the split items","isRequired":true,"uniqueKey":"split_refunds.oneOf.1.adyen_split_refund.split_items","typeLabel":"object[]"},"store":{"oneOf":[{"type":"string","description":"The store identifier","uniqueKey":"split_refunds.oneOf.1.adyen_split_refund.store.oneOf.0","typeLabel":"string"},{"type":"null","description":"The store identifier","uniqueKey":"split_refunds.oneOf.1.adyen_split_refund.store.oneOf.1","typeLabel":"null"}],"uniqueKey":"split_refunds.oneOf.1.adyen_split_refund.store","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"split_refunds.oneOf.1.adyen_split_refund","typeLabel":"object"}},"uniqueKey":"split_refunds.oneOf.1","typeLabel":"object"},{"type":"object","description":"Charge specific fields for controlling the revert of funds from either platform or connected account. Check sub-fields for more details.","required":["xendit_split_refund"],"properties":{"xendit_split_refund":{"type":"object","description":"Fee information to be charged on the payment being collected for sub-merchant via xendit","required":["for_user_id"],"properties":{"for_user_id":{"type":"string","description":"The sub-account user-id that you want to make this transaction for.","isRequired":true,"uniqueKey":"split_refunds.oneOf.2.xendit_split_refund.for_user_id","typeLabel":"string"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"split_refunds.oneOf.2.xendit_split_refund","typeLabel":"object"}},"uniqueKey":"split_refunds.oneOf.2","typeLabel":"object"},{"type":"null","uniqueKey":"split_refunds.oneOf.3","typeLabel":"null"}],"uniqueKey":"split_refunds","typeLabel":"object · object · object · null"},"all_keys_required":{"oneOf":[{"type":"boolean","description":"If true, returns stringified connector raw response body","uniqueKey":"all_keys_required.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"If true, returns stringified connector raw response body","uniqueKey":"all_keys_required.oneOf.1","typeLabel":"null"}],"uniqueKey":"all_keys_required","typeLabel":"boolean | null"}},"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Create an instant refund to refund partial amount":{"title":"Create an instant refund to refund partial amount","value":{"amount":654,"payment_id":"{{payment_id}}","refund_type":"instant"}},"Create an instant refund to refund the whole amount":{"title":"Create an instant refund to refund the whole amount","value":{"payment_id":"{{payment_id}}","refund_type":"instant"}},"Create an instant refund with reason":{"title":"Create an instant refund with reason","value":{"amount":6540,"payment_id":"{{payment_id}}","reason":"Customer returned product","refund_type":"instant"}}},"exampleType":"examples"}},"required":true,"exampleType":"examples"},"responses":{"219aabfd-1fce-4c58-ab3e-45e267f513ab":{"description":"Refund created","content":{"application/json":{"schema":{"type":"object","required":["refund_id","payment_id","amount","currency","status","connector"],"properties":{"refund_id":{"type":"string","description":"Unique Identifier for the refund","isRequired":true,"uniqueKey":"refund_id","typeLabel":"string"},"payment_id":{"type":"string","description":"The payment id against which refund is initiated","isRequired":true,"uniqueKey":"payment_id","typeLabel":"string"},"amount":{"type":"integer","format":"int64","description":"The refund amount, which should be less than or equal to the total payment amount. Amount for the payment in lowest denomination of the currency. (i.e) in cents for USD denomination, in paisa for INR denomination etc","example":6540,"minimum":100,"isRequired":true,"uniqueKey":"amount","typeLabel":"integer\u003cint64>"},"currency":{"type":"string","description":"The three-letter ISO currency code","isRequired":true,"uniqueKey":"currency","typeLabel":"string"},"status":{"type":"string","description":"The status for refunds","enum":["succeeded","failed","pending","review"],"isRequired":true,"uniqueKey":"status","typeLabel":"enum\u003cstring>"},"connector":{"type":"string","description":"The connector used for the refund and the corresponding payment","example":"stripe","isRequired":true,"uniqueKey":"connector","typeLabel":"string"},"reason":{"oneOf":[{"type":"string","description":"An arbitrary string attached to the object. Often useful for displaying to users and your customer support executive","uniqueKey":"reason.oneOf.0","typeLabel":"string"},{"type":"null","description":"An arbitrary string attached to the object. Often useful for displaying to users and your customer support executive","uniqueKey":"reason.oneOf.1","typeLabel":"null"}],"uniqueKey":"reason","typeLabel":"string | null"},"metadata":{"oneOf":[{"type":"object","description":"You can specify up to 50 keys, with key names up to 40 characters long and values up to 500 characters long. Metadata is useful for storing additional, structured information on an object","uniqueKey":"metadata.oneOf.0","typeLabel":"object"},{"type":"null","description":"You can specify up to 50 keys, with key names up to 40 characters long and values up to 500 characters long. Metadata is useful for storing additional, structured information on an object","uniqueKey":"metadata.oneOf.1","typeLabel":"null"}],"uniqueKey":"metadata","typeLabel":"object | null"},"error_message":{"oneOf":[{"type":"string","description":"The error message","uniqueKey":"error_message.oneOf.0","typeLabel":"string"},{"type":"null","description":"The error message","uniqueKey":"error_message.oneOf.1","typeLabel":"null"}],"uniqueKey":"error_message","typeLabel":"string | null"},"error_code":{"oneOf":[{"type":"string","description":"The code for the error","uniqueKey":"error_code.oneOf.0","typeLabel":"string"},{"type":"null","description":"The code for the error","uniqueKey":"error_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"error_code","typeLabel":"string | null"},"unified_code":{"oneOf":[{"type":"string","description":"Error code unified across the connectors is received here if there was an error while calling connector","uniqueKey":"unified_code.oneOf.0","typeLabel":"string"},{"type":"null","description":"Error code unified across the connectors is received here if there was an error while calling connector","uniqueKey":"unified_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"unified_code","typeLabel":"string | null"},"unified_message":{"oneOf":[{"type":"string","description":"Error message unified across the connectors is received here if there was an error while calling connector","uniqueKey":"unified_message.oneOf.0","typeLabel":"string"},{"type":"null","description":"Error message unified across the connectors is received here if there was an error while calling connector","uniqueKey":"unified_message.oneOf.1","typeLabel":"null"}],"uniqueKey":"unified_message","typeLabel":"string | null"},"created_at":{"oneOf":[{"type":"string","format":"date-time","description":"The timestamp at which refund is created","uniqueKey":"created_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","description":"The timestamp at which refund is created","uniqueKey":"created_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"created_at","typeLabel":"string\u003cdate-time> | null"},"updated_at":{"oneOf":[{"type":"string","format":"date-time","description":"The timestamp at which refund is updated","uniqueKey":"updated_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","description":"The timestamp at which refund is updated","uniqueKey":"updated_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"updated_at","typeLabel":"string\u003cdate-time> | null"},"profile_id":{"oneOf":[{"type":"string","description":"The id of business profile for this refund","uniqueKey":"profile_id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The id of business profile for this refund","uniqueKey":"profile_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"profile_id","typeLabel":"string | null"},"merchant_connector_id":{"oneOf":[{"type":"string","description":"The merchant_connector_id of the processor through which this payment went through","uniqueKey":"merchant_connector_id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The merchant_connector_id of the processor through which this payment went through","uniqueKey":"merchant_connector_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"merchant_connector_id","typeLabel":"string | null"},"split_refunds":{"oneOf":[{"type":"object","description":"Charge specific fields for controlling the revert of funds from either platform or connected account. Check sub-fields for more details.","required":["stripe_split_refund"],"properties":{"stripe_split_refund":{"type":"object","description":"Charge specific fields for controlling the revert of funds from either platform or connected account for Stripe. Check sub-fields for more details.","properties":{"revert_platform_fee":{"oneOf":[{"type":"boolean","description":"Toggle for reverting the application fee that was collected for the payment.\nIf set to false, the funds are pulled from the destination account.","uniqueKey":"split_refunds.oneOf.0.stripe_split_refund.revert_platform_fee.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Toggle for reverting the application fee that was collected for the payment.\nIf set to false, the funds are pulled from the destination account.","uniqueKey":"split_refunds.oneOf.0.stripe_split_refund.revert_platform_fee.oneOf.1","typeLabel":"null"}],"uniqueKey":"split_refunds.oneOf.0.stripe_split_refund.revert_platform_fee","typeLabel":"boolean | null"},"revert_transfer":{"oneOf":[{"type":"boolean","description":"Toggle for reverting the transfer that was made during the charge.\nIf set to false, the funds are pulled from the main platform's account.","uniqueKey":"split_refunds.oneOf.0.stripe_split_refund.revert_transfer.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Toggle for reverting the transfer that was made during the charge.\nIf set to false, the funds are pulled from the main platform's account.","uniqueKey":"split_refunds.oneOf.0.stripe_split_refund.revert_transfer.oneOf.1","typeLabel":"null"}],"uniqueKey":"split_refunds.oneOf.0.stripe_split_refund.revert_transfer","typeLabel":"boolean | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"split_refunds.oneOf.0.stripe_split_refund","typeLabel":"object"}},"uniqueKey":"split_refunds.oneOf.0","typeLabel":"object"},{"type":"object","description":"Charge specific fields for controlling the revert of funds from either platform or connected account. Check sub-fields for more details.","required":["adyen_split_refund"],"properties":{"adyen_split_refund":{"type":"object","description":"Fee information for Split Payments to be charged on the payment being collected for Adyen","required":["split_items"],"properties":{"split_items":{"type":"array","items":{"type":"object","description":"Data for the split items","required":["amount","split_type","reference"],"properties":{"amount":{"type":"integer","format":"int64","description":"The amount of the split item","example":6540,"isRequired":true,"uniqueKey":"split_refunds.oneOf.1.adyen_split_refund.split_items.items.[INDEX].amount","typeLabel":"integer\u003cint64>"},"split_type":{"type":"string","enum":["BalanceAccount","AcquiringFees","PaymentFee","AdyenFees","AdyenCommission","AdyenMarkup","Interchange","SchemeFee","Commission","TopUp","Vat"],"isRequired":true,"uniqueKey":"split_refunds.oneOf.1.adyen_split_refund.split_items.items.[INDEX].split_type","typeLabel":"enum\u003cstring>"},"reference":{"type":"string","description":"Unique Identifier for the split item","isRequired":true,"uniqueKey":"split_refunds.oneOf.1.adyen_split_refund.split_items.items.[INDEX].reference","typeLabel":"string"},"account":{"oneOf":[{"type":"string","description":"The unique identifier of the account to which the split amount is allocated.","uniqueKey":"split_refunds.oneOf.1.adyen_split_refund.split_items.items.[INDEX].account.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier of the account to which the split amount is allocated.","uniqueKey":"split_refunds.oneOf.1.adyen_split_refund.split_items.items.[INDEX].account.oneOf.1","typeLabel":"null"}],"uniqueKey":"split_refunds.oneOf.1.adyen_split_refund.split_items.items.[INDEX].account","typeLabel":"string | null"},"description":{"oneOf":[{"type":"string","description":"Description for the part of the payment that will be allocated to the specified account.","uniqueKey":"split_refunds.oneOf.1.adyen_split_refund.split_items.items.[INDEX].description.oneOf.0","typeLabel":"string"},{"type":"null","description":"Description for the part of the payment that will be allocated to the specified account.","uniqueKey":"split_refunds.oneOf.1.adyen_split_refund.split_items.items.[INDEX].description.oneOf.1","typeLabel":"null"}],"uniqueKey":"split_refunds.oneOf.1.adyen_split_refund.split_items.items.[INDEX].description","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"split_refunds.oneOf.1.adyen_split_refund.split_items.items.[INDEX]","typeLabel":"object"},"description":"Data for the split items","isRequired":true,"uniqueKey":"split_refunds.oneOf.1.adyen_split_refund.split_items","typeLabel":"object[]"},"store":{"oneOf":[{"type":"string","description":"The store identifier","uniqueKey":"split_refunds.oneOf.1.adyen_split_refund.store.oneOf.0","typeLabel":"string"},{"type":"null","description":"The store identifier","uniqueKey":"split_refunds.oneOf.1.adyen_split_refund.store.oneOf.1","typeLabel":"null"}],"uniqueKey":"split_refunds.oneOf.1.adyen_split_refund.store","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"split_refunds.oneOf.1.adyen_split_refund","typeLabel":"object"}},"uniqueKey":"split_refunds.oneOf.1","typeLabel":"object"},{"type":"object","description":"Charge specific fields for controlling the revert of funds from either platform or connected account. Check sub-fields for more details.","required":["xendit_split_refund"],"properties":{"xendit_split_refund":{"type":"object","description":"Fee information to be charged on the payment being collected for sub-merchant via xendit","required":["for_user_id"],"properties":{"for_user_id":{"type":"string","description":"The sub-account user-id that you want to make this transaction for.","isRequired":true,"uniqueKey":"split_refunds.oneOf.2.xendit_split_refund.for_user_id","typeLabel":"string"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"split_refunds.oneOf.2.xendit_split_refund","typeLabel":"object"}},"uniqueKey":"split_refunds.oneOf.2","typeLabel":"object"},{"type":"null","uniqueKey":"split_refunds.oneOf.3","typeLabel":"null"}],"uniqueKey":"split_refunds","typeLabel":"object · object · object · null"},"issuer_error_code":{"oneOf":[{"type":"string","description":"Error code received from the issuer in case of failed refunds","uniqueKey":"issuer_error_code.oneOf.0","typeLabel":"string"},{"type":"null","description":"Error code received from the issuer in case of failed refunds","uniqueKey":"issuer_error_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"issuer_error_code","typeLabel":"string | null"},"issuer_error_message":{"oneOf":[{"type":"string","description":"Error message received from the issuer in case of failed refunds","uniqueKey":"issuer_error_message.oneOf.0","typeLabel":"string"},{"type":"null","description":"Error message received from the issuer in case of failed refunds","uniqueKey":"issuer_error_message.oneOf.1","typeLabel":"null"}],"uniqueKey":"issuer_error_message","typeLabel":"string | null"},"raw_connector_response":{"oneOf":[{"type":"string","description":"Contains whole connector response","uniqueKey":"raw_connector_response.oneOf.0","typeLabel":"string"},{"type":"null","description":"Contains whole connector response","uniqueKey":"raw_connector_response.oneOf.1","typeLabel":"null"}],"uniqueKey":"raw_connector_response","typeLabel":"string | null"},"connector_refund_id":{"oneOf":[{"type":"string","description":"A unique identifier for a payment provided by the connector","uniqueKey":"connector_refund_id.oneOf.0","typeLabel":"string"},{"type":"null","description":"A unique identifier for a payment provided by the connector","uniqueKey":"connector_refund_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"connector_refund_id","typeLabel":"string | null"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"refund_id":"\u003cstring>","payment_id":"\u003cstring>","amount":6540,"currency":"\u003cstring>","status":"succeeded","connector":"stripe","reason":"\u003cstring>","metadata":{},"error_message":"\u003cstring>","error_code":"\u003cstring>","unified_code":"\u003cstring>","unified_message":"\u003cstring>","created_at":"2023-11-07T05:31:56Z","updated_at":"2023-11-07T05:31:56Z","profile_id":"\u003cstring>","merchant_connector_id":"\u003cstring>","split_refunds":{"stripe_split_refund":{"revert_platform_fee":true,"revert_transfer":true}},"issuer_error_code":"\u003cstring>","issuer_error_message":"\u003cstring>","raw_connector_response":"\u003cstring>","connector_refund_id":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"daf1cf9f-aac0-4b3c-9a85-8f550c33b07f":{"description":"Missing Mandatory fields","content":{"application/json":{"schema":{"type":"object","required":["error_type","message","code"],"properties":{"error_type":{"type":"string","example":"invalid_request","isRequired":true,"uniqueKey":"error_type","typeLabel":"string"},"message":{"type":"string","example":"Missing required param: {param}","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"code":{"type":"string","example":"IR_04","isRequired":true,"uniqueKey":"code","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error_type":"invalid_request","message":"Missing required param: {param}","code":"IR_04"}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"b35114da-dc2f-4348-b0b0-bd8fded508c8":{"api_key":{"type":"apiKey","in":"header","name":"api-key","description":"Use the API key created under your merchant account from the HyperSwitch dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.","scopes":[],"schemeName":"api_key"}}},"servers":{"f61470cd-dcf1-4ff9-8d18-5ea2fd311348":{"url":"https://sandbox.hyperswitch.io","description":"Sandbox Environment"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"api-key","description":"Use the API key created under your merchant account from the HyperSwitch dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.","scopes":[],"schemeName":"api_key"},"schema":{"title":"api-key","type":"string","description":"Use the API key created under your merchant account from the HyperSwitch dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"api_key","name":"api-key"}],"title":"api_key"}]},"originalFileLocation":"v1/openapi_spec_v1.json"},"subdomain":"docs.transactlyltd.com","siteName":"Hyperswitch","title":"Refunds - Create - Hyperswitch","navMaps":{"firstHrefInVersion":{"1.0.0":{"href":"/v1/refunds/refunds--create","matchLevel":0},"2.0.0 [BETA]":{"href":"/v2/refunds/refunds--create","matchLevel":1}},"firstHrefInLanguage":{}},"originalFileLocation":"v1/refunds/refunds--create.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Creates a refund against an already processed payment. In case of some processors, you can even opt to refund only a partial amount multiple times until the original charge amount has been refunded\">\u003cmeta data-mint-head name=\"application-name\" content=\"Hyperswitch\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/favicons/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/favicons/favicon-32x32.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/favicons/favicon-16x16.png\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/favicons/favicon.ico\">\u003cmeta data-mint-head property=\"og:title\" content=\"Refunds - Create - Hyperswitch\">\u003cmeta data-mint-head property=\"og:description\" content=\"Creates a refund against an already processed payment. In case of some processors, you can even opt to refund only a partial amount multiple times until the original charge amount has been refunded\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Hyperswitch\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://local./v1/refunds/refunds--create\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"http://docs.transactlyltd.com/_mintlify/og/v1/refunds/refunds--create.png\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Refunds - Create - Hyperswitch\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Creates a refund against an already processed payment. In case of some processors, you can even opt to refund only a partial amount multiple times until the original charge amount has been refunded\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"http://docs.transactlyltd.com/_mintlify/og/v1/refunds/refunds--create.png\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/favicons/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Hyperswitch\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#4F8EFF\">\u003clink data-mint-head rel=\"canonical\" href=\"https://local./v1/refunds/refunds--create\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/v1/refunds/refunds--create.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Hyperswitch\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Hyperswitch","nav":{"tabs":[{"tab":"Documentation","versions":[{"version":"1.0.0","groups":[{"group":"Get Started","pages":[{"title":"👋 Welcome to Hyperswitch API Reference","sidebarTitle":"Introduction","icon":"rectangle-code","iconType":"solid","href":"/introduction"}]},{"group":"Essentials","pages":[{"title":"Authentication Types","href":"/essentials/authentication"},{"title":"Error Codes","href":"/essentials/error_codes"},{"title":"Rate Limits","href":"/essentials/rate_limit"},{"title":"Go-live Checklist","href":"/essentials/go-live"}]},{"group":"Payments Core APIs","pages":[{"title":"Setup instructions","sidebarTitle":"Setup Instructions","icon":"flag","iconType":"solid","href":"/v1/payments/setup--instructions"},{"title":"Payment flows","sidebarTitle":"Payment Flows","icon":"arrows-retweet","iconType":"solid","href":"/v1/payments/payment--flows"},{"group":"Payments","pages":[{"title":"Payments - Create","openapi":"post /payments","href":"/v1/payments/payments--create"},{"title":"Payments - Update","openapi":"post /payments/{payment_id}","href":"/v1/payments/payments--update"},{"title":"Payments - Confirm","openapi":"post /payments/{payment_id}/confirm","href":"/v1/payments/payments--confirm"},{"title":"Payments - Retrieve","openapi":"get /payments/{payment_id}","href":"/v1/payments/payments--retrieve"},{"title":"Payments - Cancel","openapi":"post /payments/{payment_id}/cancel","href":"/v1/payments/payments--cancel"},{"title":"Payments - Cancel Post Capture","openapi":"post /payments/{payment_id}/cancel_post_capture","href":"/v1/payments/payments--cancel-post-capture"},{"title":"Payments - Cancel Post Capture Retrieve","openapi":"get /payments/{payment_id}/cancel_post_capture","href":"/v1/payments/payments--cancel-post-capture-retrieve"},{"title":"Payments - Capture","openapi":"post /payments/{payment_id}/capture","href":"/v1/payments/payments--capture"},{"title":"Payments - Incremental Authorization","openapi":"post /payments/{payment_id}/incremental_authorization","href":"/v1/payments/payments--incremental-authorization"},{"title":"Payments - Extended Authorization","openapi":"post /payments/{payment_id}/extend_authorization","href":"/v1/payments/payments--extend-authorization"},{"title":"Payments - Session token","openapi":"post /payments/session_tokens","href":"/v1/payments/payments--session-token"},{"title":"Payments Link - Retrieve","openapi":"get /payment_link/{payment_link_id}","href":"/v1/payments/payments-link--retrieve"},{"title":"Payments - List","openapi":"get /payments/list","href":"/v1/payments/payments--list"},{"title":"Payments - External 3DS Authentication","openapi":"post /payments/{payment_id}/3ds/authentication","href":"/v1/payments/payments--external-3ds-authentication"},{"title":"Payments complete authorize","openapi":"post /{payment_id}/complete_authorize","href":"/v1/payments/payments--complete-authorize"},{"title":"Payments - Update Metadata","openapi":"post /payments/{payment_id}/update_metadata","href":"/v1/payments/payments--update-metadata"},{"title":"Payments - Submit Eligibility Data","openapi":"post /payments/{payment_id}/eligibility","href":"/v1/payments/payments--submit-eligibility-data"}]},{"group":"Payment Methods","pages":[{"title":"Payment Method - Create","openapi":"post /v1/payment-methods","href":"/v2/payment-methods/payment-method--create-v1"},{"title":"Payment method retrieve v1","openapi":"get /v1/payment-methods/{id}","href":"/v2/payment-methods/payment-method--retrieve-v1"},{"title":"Payment Method - Update","openapi":"put /v1/payment-methods/{id}/update-saved-payment-method","href":"/v2/payment-methods/payment-method--update-v1"},{"title":"Payment Method - Delete","openapi":"delete /v1/payment-methods/{id}","href":"/v2/payment-methods/payment-method--delete-v1"},{"title":"Payment Method - List Customer Saved Payment Methods","openapi":"get /v1/customers/{id}/saved-payment-methods","href":"/v2/payment-methods/payment-method--list-customer-saved-payment-methods-v1"},{"title":"Payment Method - Get Payment Method Token Data","openapi":"get /v1/payment-methods/token/{payment_method_temporary_token}/details","href":"/v2/payment-methods/payment-method--payment-method-token-to-payment-method-id-v1"},{"title":"Payment Method - Set Default Payment Method for Customer","openapi":"post /v1/{customer_id}/payment-methods/{payment_method_id}/default","href":"/v2/payment-methods/payment-method--set-default-payment-method-for-customer-v1"},{"title":"List payment methods for a Payment","openapi":"get /payments/{payment_id}/client","href":"/v1/payment-methods/list-payment-methods-for-a-payment-via-client-sdk"}]},{"group":"Customers","pages":[{"title":"Customers - Create","openapi":"post /v1/customers","href":"/v2/customers/customers--create-v1"},{"title":"Customers - Retrieve","openapi":"get /v1/customers/{id}","href":"/v2/customers/customers--retrieve-v1"},{"title":"Customers - Retrieve using Merchant Reference ID","openapi":"get /v1/customers/reference/{merchant_reference_id}","href":"/v1/customers/customers--retrieve-by-merchant-reference-id"},{"title":"Customers - Update","openapi":"put /v1/customers/{id}","href":"/v2/customers/customers--update-v1"},{"title":"Customers - Delete","openapi":"delete /v1/customers/{id}","href":"/v2/customers/customers--delete-v1"},{"title":"Customers - List","openapi":"get /v1/customers/list","href":"/v2/customers/customers--list-v1"}]},{"group":"Proxy","pages":[{"title":"Proxy","openapi":"post /v1/proxy","href":"/v2/proxy/proxy-v1"}]},{"group":"Payment Method Session","pages":[{"title":"Payment Method Session - Create","openapi":"post /v1/payment-method-sessions","href":"/v2/payment-method-session/payment-method-session--create-v1"},{"title":"Payment Method Session - Retrieve","openapi":"get /v1/payment-method-sessions/{id}","href":"/v2/payment-method-session/payment-method-session--retrieve-v1"},{"title":"Payment Method Session - List Payment Methods","openapi":"get /v1/payment-method-sessions/{id}/list-payment-methods","href":"/v2/payment-method-session/payment-method-session--list-payment-methods-v1"},{"title":"Payment Method Session - Update a saved payment method","openapi":"put /v1/payment-method-sessions/{id}/update-saved-payment-method","href":"/v2/payment-method-session/payment-method-session--update-a-saved-payment-method-v1"},{"title":"Payment Method Session - Confirm a payment method session","openapi":"post /v1/payment-method-sessions/{id}/confirm","href":"/v2/payment-method-session/payment-method-session--confirm-a-payment-method-session-v1"},{"title":"Payment Method Session - Delete a saved payment method","description":"Delete a saved payment method from the given payment method session.","openapi":"delete /v1/payment-method-sessions/{id}","href":"/v2/payment-method-session/payment-method-session--delete-a-saved-payment-method-v1"}]},{"group":"Refunds","pages":[{"title":"Refunds - Create","openapi":"post /refunds","href":"/v1/refunds/refunds--create"},{"title":"Refunds - Update","description":"Updates the properties of a Refund object. This API can be used to attach a reason for the refund or metadata fields","openapi":"post /refunds/{refund_id}","href":"/v1/refunds/refunds--update"},{"title":"Refunds - Retrieve","openapi":"get /refunds/{refund_id}","href":"/v1/refunds/refunds--retrieve"},{"title":"Refunds - List","openapi":"post /refunds/list","href":"/v1/refunds/refunds--list"}]},{"group":"Disputes","pages":[{"title":"Disputes - Retrieve Dispute","openapi":"get /disputes/{dispute_id}","href":"/v1/disputes/disputes--retrieve"},{"title":"Disputes - List Disputes","openapi":"get /disputes/list","href":"/v1/disputes/disputes--list"},{"title":"Disputes - List Disputes for The Given Profiles","openapi":"get /disputes/profile/list","href":"/v1/disputes/disputes--list-profiles"},{"title":"Disputes - Accept Dispute","openapi":"post /disputes/accept/{dispute_id}","href":"/v1/disputes/disputes--accept"},{"title":"Disputes - Uploads Dispute Evidence","openapi":"post /disputes/evidence","href":"/v1/disputes/disputes--submit-evidence"},{"title":"Disputes - Attach Evidence to Dispute","openapi":"put /disputes/evidence","href":"/v1/disputes/disputes--attach-evidence"},{"title":"Disputes - Retrieve Dispute Evidence","openapi":"get /disputes/evidence/{dispute_id}","href":"/v1/disputes/disputes--retrieve-evidence"},{"title":"Disputes - Delete Evidence attached to a Dispute","openapi":"delete /disputes/evidence","href":"/v1/disputes/disputes--delete-evidence"},{"title":"Disputes - Get Disputes Aggregate","openapi":"get /disputes/aggregate","href":"/v1/disputes/disputes--get-aggregate"},{"title":"Disputes - Get Disputes Aggregate for Profiles","openapi":"get /disputes/profile/aggregate","href":"/v1/disputes/disputes--get-aggregate-profiles"},{"title":"Disputes - Disputes Filters","openapi":"get /disputes/filter","href":"/v1/disputes/disputes--get-filters"},{"title":"Disputes - Disputes Filters Profile","openapi":"get /disputes/profile/filter","href":"/v1/disputes/disputes--get-filters-profiles"}]},{"group":"Authentication","pages":[{"title":"Authentication - Create","openapi":"post /authentication","href":"/v1/authentication/authentication--create"},{"title":"Authentication - POST Eligibility Check","openapi":"post /authentication/{authentication_id}/eligibility-check","href":"/v1/authentication/authentication--post-eligibility-check"},{"title":"Authentication - GET Eligibility Check","openapi":"get /authentication/{authentication_id}/eligibility-check","href":"/v1/authentication/authentication--get-eligibility-check"}]},{"group":"Payouts","pages":[{"title":"Payouts - Create","openapi":"post /payouts/create","href":"/v1/payouts/payouts--create"},{"title":"Payouts - Update","openapi":"post /payouts/{payout_id}","href":"/v1/payouts/payouts--update"},{"title":"Payouts - Cancel","openapi":"post /payouts/{payout_id}/cancel","href":"/v1/payouts/payouts--cancel"},{"title":"Payouts - Fulfill","openapi":"post /payouts/{payout_id}/fulfill","href":"/v1/payouts/payouts--fulfill"},{"title":"Payouts - Confirm","openapi":"post /payouts/{payout_id}/confirm","href":"/v1/payouts/payouts--confirm"},{"title":"Payouts - Retrieve","openapi":"get /payouts/{payout_id}","href":"/v1/payouts/payouts--retrieve"},{"title":"Payouts - List","openapi":"get /payouts/list","href":"/v1/payouts/payouts--list"},{"title":"Payouts - List available filters","openapi":"post /payouts/filter","href":"/v1/payouts/payouts--list-filters"},{"title":"Payouts - List using filters","openapi":"post /payouts/list","href":"/v1/payouts/payouts--filter"}]}]},{"group":"Deprecated APIs","pages":[{"group":"Mandates","pages":[{"title":"Mandates - Revoke Mandate","openapi":"post /mandates/revoke/{mandate_id}","href":"/v1/mandates/mandates--revoke-mandate"},{"title":"Mandates - Retrieve Mandate","openapi":"get /mandates/{mandate_id}","href":"/v1/mandates/mandates--retrieve-mandate"},{"title":"Mandates customer mandates list","openapi":"post /customers/{customer_id}/mandates","href":"/v1/mandates/mandates--customer-mandates-list"}]},{"group":"Customers","pages":[{"title":"Customers - Create","openapi":"post /customers","href":"/v1/customers/customers--create"},{"title":"Customers - Retrieve","openapi":"get /customers/{customer_id}","href":"/v1/customers/customers--retrieve"},{"title":"Customers - Update","openapi":"post /customers/{customer_id}","href":"/v1/customers/customers--update"},{"title":"Customers - Delete","openapi":"delete /customers/{customer_id}","href":"/v1/customers/customers--delete"},{"title":"Customers - List","openapi":"get /customers/list","href":"/v1/customers/customers--list"}]},{"group":"Payment Methods","pages":[{"title":"PaymentMethods - Create","openapi":"post /payment_methods","href":"/v1/payment-methods/paymentmethods--create"},{"title":"Payment Method - Retrieve","openapi":"get /payment_methods/{method_id}","href":"/v1/payment-methods/payment-method--retrieve"},{"title":"Payment Method - Update","openapi":"post /payment_methods/{method_id}/update","href":"/v1/payment-methods/payment-method--update"},{"title":"Payment Method - Delete","openapi":"delete /payment_methods/{method_id}","href":"/v1/payment-methods/payment-method--delete"},{"title":"Payment Method - Set Default Payment Method for Customer","openapi":"post /{customer_id}/payment_methods/{payment_method_id}/default","href":"/v1/payment-methods/payment-method--set-default-payment-method-for-customer"},{"title":"List payment methods for a Merchant","openapi":"get /account/payment_methods","href":"/v1/payment-methods/list-payment-methods-for-a-merchant"},{"title":"List customer saved payment methods for a Payment","openapi":"get /customers/payment_methods","href":"/v1/payment-methods/list-customer-saved-payment-methods-for-a-payment"},{"title":"List payment methods for a Customer","openapi":"get /customers/{customer_id}/payment_methods","href":"/v1/payment-methods/list-payment-methods-for-a-customer"},{"title":"Payment Method - Set Default Payment Method for Customer","openapi":"post /{customer_id}/payment_methods/{payment_method_id}/default","href":"/v1/customer-set-default-payment-method/customers--set-default-payment-method"}]}]},{"group":"Account management APIs","pages":[{"group":"Organization","pages":[{"title":"Organization - Create","openapi":"post /organization","href":"/v1/organization/organization--create"},{"title":"Organization - Retrieve","openapi":"get /organization/{id}","href":"/v1/organization/organization--retrieve"},{"title":"Organization - Update","openapi":"put /organization/{id}","href":"/v1/organization/organization--update"}]},{"group":"Merchant Account","pages":[{"title":"Merchant Account - Create","openapi":"post /accounts","href":"/v1/merchant-account/merchant-account--create"},{"title":"Merchant Account - Retrieve","openapi":"get /accounts/{account_id}","href":"/v1/merchant-account/merchant-account--retrieve"},{"title":"Merchant Account - Update","openapi":"post /accounts/{account_id}","href":"/v1/merchant-account/merchant-account--update"},{"title":"Merchant Account - Delete","openapi":"delete /accounts/{account_id}","href":"/v1/merchant-account/merchant-account--delete"},{"title":"Merchant Account - KV Status","openapi":"post /accounts/{account_id}/kv","href":"/v1/merchant-account/merchant-account--kv-status"}]},{"group":"Business Profile","pages":[{"title":"Profile - Create","openapi":"post /account/{account_id}/business_profile","href":"/v1/business-profile/business-profile--create"},{"title":"Profile - Update","openapi":"post /account/{account_id}/business_profile/{profile_id}","href":"/v1/business-profile/business-profile--update"},{"title":"Profile - Retrieve","openapi":"get /account/{account_id}/business_profile/{profile_id}","href":"/v1/business-profile/business-profile--retrieve"},{"title":"Profile - Delete","openapi":"delete /account/{account_id}/business_profile/{profile_id}","href":"/v1/business-profile/business-profile--delete"},{"title":"Profile - List","openapi":"get /account/{account_id}/business_profile","href":"/v1/business-profile/business-profile--list"}]},{"group":"Platform Account","pages":[{"title":"Platform - Create","openapi":"post /user/create_platform","href":"/v1/platform/platform--create"}]},{"group":"API Key","pages":[{"title":"API Key - Create","openapi":"post /api_keys/{merchant_id}","href":"/v1/api-key/api-key--create"},{"title":"API Key - Retrieve","openapi":"get /api_keys/{merchant_id}/{key_id}","href":"/v1/api-key/api-key--retrieve"},{"title":"API Key - Update","openapi":"post /api_keys/{merchant_id}/{key_id}","href":"/v1/api-key/api-key--update"},{"title":"API Key - Revoke","openapi":"delete /api_keys/{merchant_id}/{key_id}","href":"/v1/api-key/api-key--revoke"},{"title":"API Key - List","openapi":"get /api_keys/{merchant_id}/list","href":"/v1/api-key/api-key--list"}]},{"group":"Merchant Connector Account","pages":[{"title":"Merchant Connector - Create","openapi":"post /account/{account_id}/connectors","href":"/v1/merchant-connector-account/merchant-connector--create"},{"title":"Merchant Connector - Retrieve","openapi":"get /account/{account_id}/connectors/{merchant_connector_id}","href":"/v1/merchant-connector-account/merchant-connector--retrieve"},{"title":"Merchant Connector - Update","openapi":"post /account/{account_id}/connectors/{merchant_connector_id}","href":"/v1/merchant-connector-account/merchant-connector--update"},{"title":"Merchant Connector - Delete","openapi":"delete /account/{account_id}/connectors/{merchant_connector_id}","href":"/v1/merchant-connector-account/merchant-connector--delete"},{"title":"Merchant Connector - List","openapi":"get /account/{account_id}/connectors","href":"/v1/merchant-connector-account/merchant-connector--list"}]},{"group":"GSM (Global Status Mapping)","pages":[{"title":"Gsm - Create","openapi":"post /gsm","href":"/v1/gsm/gsm--create"},{"title":"Gsm - Get","openapi":"post /gsm/get","href":"/v1/gsm/gsm--get"},{"title":"Gsm - Update","openapi":"post /gsm/update","href":"/v1/gsm/gsm--update"},{"title":"Gsm - Delete","openapi":"post /gsm/delete","href":"/v1/gsm/gsm--delete"}]}]},{"group":"Other APIs","pages":[{"group":"Event","pages":[{"title":"Events - List","openapi":"post /events/{merchant_id}","href":"/v1/event/events--list"},{"title":"Events - Delivery Attempt List","openapi":"get /events/{merchant_id}/{event_id}/attempts","href":"/v1/event/events--delivery-attempt-list"},{"title":"Events - Manual Retry","openapi":"post /events/{merchant_id}/{event_id}/retry","href":"/v1/event/events--manual-retry"}]},{"group":"Poll","pages":[{"title":"Poll - Retrieve Poll Status","openapi":"get /poll/status/{poll_id}","href":"/v1/poll/poll--retrieve-poll-status"}]},{"group":"Blocklist","pages":[{"title":"Get blocklist","openapi":"get /blocklist","href":"/v1/blocklist/get-blocklist"},{"title":"Post blocklist","openapi":"post /blocklist","href":"/v1/blocklist/post-blocklist"},{"title":"Delete blocklist","openapi":"delete /blocklist","href":"/v1/blocklist/delete-blocklist"},{"title":"Post blocklisttoggle","openapi":"post /blocklist/toggle","href":"/v1/blocklist/post-blocklisttoggle"},{"title":"Blocklist count","openapi":"get /blocklist/count","href":"/v1/blocklist/blocklist--count"},{"title":"Blocklist lookup","openapi":"get /blocklist/lookup","href":"/v1/blocklist/blocklist--lookup"},{"title":"Blocklist batch upload","openapi":"post /blocklist/batch","href":"/v1/blocklist/blocklist--batch-upload"},{"title":"Blocklist batch list","openapi":"get /blocklist/batch","href":"/v1/blocklist/blocklist--batch-list"},{"title":"Blocklist batch status","openapi":"get /blocklist/batch/{job_id}","href":"/v1/blocklist/blocklist--batch-status"},{"title":"Blocklist export create","openapi":"post /blocklist/export","href":"/v1/blocklist/blocklist--export-create"},{"title":"Blocklist - Clone Entries","openapi":"post /blocklist/clone","href":"/v1/blocklist/blocklist--clone"}]},{"group":"Routing","pages":[{"title":"Routing - List","openapi":"get /routing","href":"/v1/routing/routing--list"},{"title":"Routing - Create","openapi":"post /routing","href":"/v1/routing/routing--create"},{"title":"Routing - Auth Rate Based","openapi":"post /account/{account_id}/business_profile/{profile_id}/dynamic_routing/success_based/create","href":"/v1/routing/routing--success-based"},{"title":"Routing - Elimination","openapi":"post /account/{account_id}/business_profile/{profile_id}/dynamic_routing/elimination/create","href":"/v1/routing/routing--elimination"},{"title":"Routing - Retrieve Config","openapi":"get /routing/active","href":"/v1/routing/routing--retrieve-config"},{"title":"Routing - Deactivate","openapi":"post /routing/deactivate","href":"/v1/routing/routing--deactivate"},{"title":"Routing - Retrieve Default Config","openapi":"get /routing/default","href":"/v1/routing/routing--retrieve-default-config"},{"title":"Routing - Update Default Config","openapi":"post /routing/default","href":"/v1/routing/routing--update-default-config"},{"title":"Routing - Retrieve Default For Profile","openapi":"get /routing/default/profile","href":"/v1/routing/routing--retrieve-default-for-profile"},{"title":"Routing - Update Default For Profile","openapi":"post /routing/default/profile/{profile_id}","href":"/v1/routing/routing--update-default-for-profile"},{"title":"Routing - Retrieve","openapi":"get /routing/{routing_algorithm_id}","href":"/v1/routing/routing--retrieve"},{"title":"Routing - Activate config","openapi":"post /routing/{routing_algorithm_id}/activate","href":"/v1/routing/routing--activate-config"},{"title":"Routing - Evaluate","openapi":"post /routing/evaluate","href":"/v1/routing/routing--evaluate"},{"title":"Routing - Feedback","openapi":"post /routing/feedback","href":"/v1/routing/routing--feedback"},{"title":"Routing - Rule Evaluate","openapi":"post /routing/rule/evaluate","href":"/v1/routing/routing--rule-evaluate"}]},{"group":"Relay","pages":[{"title":"Relay - Create","openapi":"post /relay","href":"/v1/relay/relay"},{"title":"Relay - Retrieve","openapi":"get /relay/{relay_id}","href":"/v1/relay/relay--retrieve"}]},{"group":"Schemas","pages":[{"title":"Outgoing webhook","href":"/v1/schemas/outgoing--webhook"}]},{"group":"Subscriptions","pages":[{"title":"Subscription - Create","openapi":"post /subscriptions/create","href":"/v1/subscriptions/create"},{"title":"Subscription - Confirm","openapi":"post /subscriptions/{subscription_id}/confirm","href":"/v1/subscriptions/confirm"},{"title":"Subscription - Create and Confirm","openapi":"post /subscriptions","href":"/v1/subscriptions/create-and-confirm"},{"title":"Subscription - Update","openapi":"put /subscriptions/{subscription_id}/update","href":"/v1/subscriptions/update"},{"title":"Subscription - Retrieve","openapi":"get /subscriptions/{subscription_id}","href":"/v1/subscriptions/get"},{"title":"Get plans","href":"/v1/subscriptions/get-plans"},{"title":"Subscription - Get Estimate","openapi":"get /subscriptions/estimate","href":"/v1/subscriptions/estimate"},{"title":"Subscription - Pause Subscription","openapi":"post /subscriptions/{subscription_id}/pause","href":"/v1/subscriptions/pause"},{"title":"Subscription - Resume Subscription","openapi":"post /subscriptions/{subscription_id}/resume","href":"/v1/subscriptions/resume"},{"title":"Subscription - Cancel Subscription","openapi":"post /subscriptions/{subscription_id}/cancel","href":"/v1/subscriptions/cancel"}]}]}]},{"version":"2.0.0 [BETA]","pages":[{"title":"2.0.0 [BETA]","href":"/v2/refunds/refunds--create"}]}]},{"tab":"Locker API Reference","pages":[{"title":"Locker API Reference","href":"/locker-api-reference/overview"}]},{"tab":"Decision Engine API Reference","pages":[{"title":"Decision Engine API Reference","href":"/decision-engine-api-reference/introduction"}]}]},"basePath":"","title":"Refunds - Create - Hyperswitch","buildId":"223f4d0f93b3","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-DLP13Bsa.js","utils-LK_Rx0Zu.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-BSq7eEfK.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-Bchcwpn2.js","snippetPresets-B-BsDEmk.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-CNoZnlAG.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-DqKAmR6F.js","shallow-Dq5-SwG1.js","getApiPlaygroundDisplay-B6YMrfFr.js","CodeSnippet-DvvqqrVi.js","CodeSnippets-D6Vj56PD.js","Page-03hAnTHd.js","getPastedJson-BKlc8wx2.js","icon-HMNWawTa.js","MethodPill-Dd_Z_kqi.js","DuplicateIcon-DK5o2DOi.js","createIcon-BhUMOhLi.js","DynamicMarkdown-CoGC92CO.js","SectionHeading-K9MvhMbX.js","axios-vUo_bRtp.js","Markdown-DqqHYs0x.js","clsx-DfU2JnNK.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-C8phz87P.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-BVRLOPpC.js"]}